Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | Private Attributes | List of all members
eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler Class Reference

The migration handler sets up from/to IO data handlers, and provides logging, for file migrators and listers. More...

Inheritance diagram for eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler:

## Public Member Functions
| __construct (HandlerFactory $metadataHandlerFactory, HandlerFactory $binarydataHandlerFactory, LoggerInterface $logger=null)
| setIODataHandlersByIdentifiers ( $fromMetadataHandlerIdentifier, $fromBinarydataHandlerIdentifier, $toMetadataHandlerIdentifier, $toBinarydataHandlerIdentifier)
| Set the from/to handlers based on identifiers. More...

## Protected Member Functions
| logError ($message)
| logInfo ($message)
| logMissingFile ($id)

## Protected Attributes
| $fromMetadataHandler
| $fromBinarydataHandler
| $toMetadataHandler
| $toBinarydataHandler

## Private Attributes
| $metadataHandlerFactory
| $binarydataHandlerFactory
| $logger

## Detailed Description

The migration handler sets up from/to IO data handlers, and provides logging, for file migrators and listers.

Definition at line 15 of file MigrationHandler.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler::__construct | ( | HandlerFactory | $metadataHandlerFactory,
|  | HandlerFactory | $binarydataHandlerFactory,
|  | LoggerInterface | $logger = `null`
| ) |  |

Definition at line 38 of file MigrationHandler.php.

References eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler\$binarydataHandlerFactory, eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler\$logger, and eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler\$metadataHandlerFactory.

## Member Function Documentation

## ◆ logError()

eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler::logError | ( |  | $message | ) |
| final protected

Definition at line 62 of file MigrationHandler.php.

Referenced by eZ\Bundle\EzPublishIOBundle\Migration\FileMigrator\FileMigrator\migrateFile().

## ◆ logInfo()

eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler::logInfo | ( |  | $message | ) |
| final protected

Definition at line 69 of file MigrationHandler.php.

Referenced by eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler\logMissingFile(), and eZ\Bundle\EzPublishIOBundle\Migration\FileMigrator\FileMigrator\migrateFile().

## ◆ logMissingFile()

eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler::logMissingFile | ( |  | $id | ) |
| final protected

Definition at line 76 of file MigrationHandler.php.

References eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler\logInfo().

Referenced by eZ\Bundle\EzPublishIOBundle\Migration\FileLister\BinaryFileLister\loadMetadataList(), and eZ\Bundle\EzPublishIOBundle\Migration\FileLister\ImageFileLister\loadMetadataList().

## ◆ setIODataHandlersByIdentifiers()

eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler::setIODataHandlersByIdentifiers | ( |  | $fromMetadataHandlerIdentifier,
|  |  | $fromBinarydataHandlerIdentifier,
|  |  | $toMetadataHandlerIdentifier,
|  |  | $toBinarydataHandlerIdentifier
| ) |  |

Set the from/to handlers based on identifiers.

Returns the MigrationHandler.

Parameters

  string | $fromMetadataHandlerIdentifier |
  string | $fromBinarydataHandlerIdentifier |
  string | $toMetadataHandlerIdentifier |
  string | $toBinarydataHandlerIdentifier |

Returns
  MigrationHandlerInterface

Implements eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandlerInterface.

Definition at line 48 of file MigrationHandler.php.

## Member Data Documentation

## ◆ $binarydataHandlerFactory

eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler::$binarydataHandlerFactory
| private

Definition at line 21 of file MigrationHandler.php.

Referenced by eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler\__construct(), eZ\Bundle\EzPublishIOBundle\Migration\FileLister\BinaryFileLister\__construct(), and eZ\Bundle\EzPublishIOBundle\Migration\FileLister\ImageFileLister\__construct().

## ◆ $fromBinarydataHandler

eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler::$fromBinarydataHandler
| protected

Definition at line 30 of file MigrationHandler.php.

## ◆ $fromMetadataHandler

eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler::$fromMetadataHandler
| protected

Definition at line 27 of file MigrationHandler.php.

## ◆ $logger

eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler::$logger
| private

Definition at line 24 of file MigrationHandler.php.

Referenced by eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler\__construct(), eZ\Bundle\EzPublishIOBundle\Migration\FileLister\BinaryFileLister\__construct(), and eZ\Bundle\EzPublishIOBundle\Migration\FileLister\ImageFileLister\__construct().

## ◆ $metadataHandlerFactory

eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler::$metadataHandlerFactory
| private

Definition at line 18 of file MigrationHandler.php.

Referenced by eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler\__construct(), eZ\Bundle\EzPublishIOBundle\Migration\FileLister\BinaryFileLister\__construct(), and eZ\Bundle\EzPublishIOBundle\Migration\FileLister\ImageFileLister\__construct().

## ◆ $toBinarydataHandler

eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler::$toBinarydataHandler
| protected

Definition at line 36 of file MigrationHandler.php.

## ◆ $toMetadataHandler

eZ\Bundle\EzPublishIOBundle\Migration\MigrationHandler::$toMetadataHandler
| protected

Definition at line 33 of file MigrationHandler.php.

The documentation for this class was generated from the following file:

- MigrationHandler.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.